Bug 30117 - new version with JunOS support
: new version with JunOS support
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/vpnc)
: unstable
: all Linux
: P3 enhancement
Assigned To:
:
:
:
:
: 30633
  Show dependency tree
 
Reported: 2014-06-13 16:07 by
Modified: 2016-04-07 21:52 (History)


Attachments
микропатч для опции Vendor (311 bytes, patch)
2015-01-23 01:22, ildar
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2014-06-13 16:07:04
хорошо бы собрать версию с поддержкой JunOS: http://github.com/ndpgroup/vpnc
------- Comment #1 From 2014-06-18 18:37:15 -------
vpnc-0.5.3-alt5 -> sisyphus:

* Wed Jun 18 2014 Alexey Shabalin <shaba@altlinux> 0.5.3-alt5
- svn snapshot r550 (fixed ALT#26600, ALT#29351, ALT#26761, ALT#26726)
- add JunOS support from https://github.com/ndpgroup/vpnc (ALT#30117)
------- Comment #2 From 2015-01-13 13:46:38 -------
что-то сломалось. vpnc не понимает опцию `Vendor` в конфигурационном файле,
например, `Vendor cisco` ему не понятна.

Возможно, это потому, что не ты убрал пробел тут:
http://git.altlinux.org/people/shaba/packages/?p=vpnc.git;a=blob;f=config.c;h=2d21f9ef3dcd9a53fecf59c6d0142ee69226495b;hb=f83f983fd659db7a7753e79e0566fe80e82c0d53#l475
Однако, я не осилил разобраться, где нужно убрать пробелы, а где - нет.

Можешь посмотреть?
------- Comment #3 From 2015-01-23 01:22:40 -------
Created an attachment (id=6225) [details]
микропатч для опции Vendor

Я был прав. С этим малюсеньким патчем опция Vendor заработала.
------- Comment #4 From 2016-04-07 21:52:09 -------
vpnc-0.5.3-alt6 -> sisyphus:

* Thu Apr 07 2016 Alexey Shabalin <shaba@altlinux> 0.5.3-alt6
- rebuild with new gnutls
- fixed Vendor option (ALT#30117)